Issue 11253

Title
Setup intent stays pending for ever
Priority
feature
Status
resolved
Nosy list
ced, reviewbot, roundup-bot
Assigned to
ced
Keywords
review

Created on 2022-02-14.19:23:54 by ced, last changed 2 months ago by roundup-bot.

Messages

New changeset ffd04371c790 by Cédric Krier in branch 'default':
Use correct function name to convert timestamp into datetime
https://hg.tryton.org/tryton-env/rev/ffd04371c790
New changeset 6a01d57bf23e by Cédric Krier in branch 'default':
Use correct function name to convert timestamp into datetime
https://hg.tryton.org/modules/account_payment_stripe/rev/6a01d57bf23e
New changeset 34e7316d8a74 by Cédric Krier in branch 'default':
Add setup intent expire delay
https://hg.tryton.org/tryton-env/rev/34e7316d8a74
New changeset b21f405ccacf by Cédric Krier in branch 'default':
Add setup intent expire delay
https://hg.tryton.org/modules/account_payment_stripe/rev/b21f405ccacf
Author: [hidden] (ced) Tryton committer Tryton translator
Date: 2022-02-14.19:23:54

If the customer never finish the setup intent, Tryton keeps trying to update it for ever (because Stripe never expires them).
So I propose to have an expire delay that will cancel and remove the setup intent ID.

History
Date User Action Args
2022-04-11 13:39:26roundup-botsetmessages: + msg75594
2022-04-11 13:38:54roundup-botsetmessages: + msg75593
2022-03-20 01:02:40roundup-botsetmessages: + msg74621
2022-03-20 01:02:33roundup-botsetmessages: + msg74620
nosy: + roundup-bot
status: testing -> resolved
2022-02-14 19:31:32reviewbotsetmessages: + msg74112
nosy: + reviewbot
2022-02-14 19:24:22cedsetkeyword: + review
reviews: 390061002
status: in-progress -> testing
2022-02-14 19:23:54cedcreate

Showing 10 items. Show all history (warning: this could be VERY long)